Fixing a few bugs in Python pywapi related to Canadian cities



While experimenting with the pywapi I found a few problems that require an article, in case someone is facing the same issues.

First, for Canadian cities, you need a more current version of pywapi. On Ubuntu 12.04, the python-pywapi is 0.2.2-1 and does not have the API for The version on 14.04 is 0.3.6, and does have that API.

Second, you need to find the code for your city. Here is a list of codes.

Subscribe to RSS - Weather